# <img src="logo.png" width="40"/> Kiten

A Japanese reference tool.

<a href='https://flathub.org/apps/details/org.kde.kiten'><img width='190px' alt='Download on Flathub' src='https://flathub.org/assets/badges/flathub-badge-i-en.png'/></a>

![Kiten Main Window](https://cdn.kde.org/screenshots/kiten/kiten.png)

## Features

Kiten comes ready to use. It will take a bit of time to
start up the first time as it indexes your dictionary files.

Kiten is currently a set of 3 tools:
  1. Dictionary
  2. Radical Selector
  3. Kanji Browser

1. Dictionary
   Kiten works mainly as a Japanese -> English dictionary, but it
   works from English -> Japanese too. This means you can write in
   english, hiragana, katakana or kanji to search in the dictionaries.

   If you have extra dictionaries in the correct formats, visit the "edict" and
   "kanjidic" configuration pages in: Settings -> Configure Kiten -> Dictionaries,
   and use the "Add" button.
   Then Kiten will search under all of these and display the results separately.

2. Radical Selector
   This tool helps you to find a kanji by just filtering its radicals.
   Only click on the buttons with the desired radicals and Radical Selector
   will find all the kanji that contains those radicals, this way you
   can find a kanji without knowing anything about its readings or meanings.
   Once you find the kanji you can just click on it and Kiten will
   automatically search for it in the dictionary*.

  *You might need to enable "Automatically search clipboard selections"
   on the Settings menu.
   Alternatively you can select the kanji, click on "To clipboard" and
   paste it on the dictionary.

3. Kanji Browser
   You can browse all the kanji available in the KANJIDIC dictionary
   and be able to search by Grade and Number of strokes.
   By clicking on the kanji you can access detailed information such as
   stroke order, onyomi and kunyomi readings, meanings, grade and more.

Information about edict and kanjidic is available at the following urls:

EDICT
  Summary page:       https://www.edrdg.org/jmdict/edict.html
  Full documentation: https://www.edrdg.org/wwwjdic/wwwjdicinf.html#dicfil_tag

KANJIDIC
  Full documentation: https://www.edrdg.org/wiki/index.php/KANJIDIC_Project

Jim Breen compiled these fine files, so many thanks to him.
The licenses for these two files can be found in the
file LicenseRef-EDRDG.txt in the "LICENSES" directory.

--
Hope Kiten is useful to you!
  Jason Katz-Brown <jason@katzbrown.com>

  (Edited to remove outdated information 6-21-06 - Joseph Kerian <jkerian@gmail.com>)
  (Edited to update information          8-21-11 - Daniel E. Moctezuma <democtezuma@gmail.com>)
  (Edited to update information          11-12-19 - Yuri Chornoivan <yurchor@ukr.net>)
